E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::Convert::ThrowOnError Struct Reference

Holds context information which convert() adds to the exception when it fails. More...

`#include <gconvert.h>`

## Public Member Functions
| ThrowOnError (const std::string &context_)

## Public Attributes
std::string | context

## Detailed Description

Holds context information which convert() adds to the exception when it fails.

Definition at line 74 of file gconvert.h.

## Constructor & Destructor Documentation

## ◆ ThrowOnError()

G::Convert::ThrowOnError::ThrowOnError | ( | const std::string & | context_ | ) |
| inline explicit

Definition at line 77 of file gconvert.h.

## Member Data Documentation

## ◆ context

std::string G::Convert::ThrowOnError::context

Definition at line 78 of file gconvert.h.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gconvert.h